# Serialized Form

## Package nl.tudelft.simulation.dsol.animation.gis

### Class nl.tudelft.simulation.dsol.animation.gis.GisObject extends Object implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### attributes

    String[] attributes

the attributes.

#### shape

    Object shape

the shape, which is either a Point2D or a Shape.

### Class nl.tudelft.simulation.dsol.animation.gis.GraphicsException extends Exception implements Serializable

serialVersionUID:
  1L

### Class nl.tudelft.simulation.dsol.animation.gis.SerializablePath extends Path2D.Float implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException

Reads a serialized object from a stream.

Throws:
  `IOException` - on IO Exception

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialized an object to the stream.

Throws:
  `IOException` - on IO failure

### Class nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D extends Rectangle2D implements Serializable

serialVersionUID:
  20201015L

### Class nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D.Double extends SerializableRectangle2D implements Serializable

serialVersionUID:
  20201015L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException

Read a serialized object from the stream.

Throws:
  `IOException` - on exception

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialize the object to the stream.

Throws:
  `IOException` - on exception

### Serialized Fields

#### rectangle

    Rectangle2D.Double rectangle

the rectangle.

### Class nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D.Float extends SerializableRectangle2D implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException

Read a serialized object from the stream.

Throws:
  `IOException` - on IOException

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialize the object to the stream.

Throws:
  `IOException` - on IOException

### Serialized Fields

#### rectangle

    Rectangle2D rectangle

the rectangle.

## Package nl.tudelft.simulation.dsol.animation.gis.D2

### Class nl.tudelft.simulation.dsol.animation.gis.D2.GisRenderable2D extends Object implements Serializable

serialVersionUID:
  20200108L

### Serialized Fields

#### bounds

    Bounds3d bounds

the bounds of the map.

#### cachedExtent

    Bounds2d cachedExtent

the cached extent.

#### cachedImage

    BufferedImage cachedImage

the image cached image.

#### cachedScreenSize

    Dimension cachedScreenSize

the cached screenSize.

#### location

    OrientedPoint3d location

the location of the map.

#### map

    GisMapInterface map

the map to display.

## Package nl.tudelft.simulation.dsol.animation.gis.io

## Package nl.tudelft.simulation.dsol.animation.gis.io.esri

### Class nl.tudelft.simulation.dsol.animation.gis.io.esri.DbfReader extends Object implements Serializable

serialVersionUID:
  20201223L

### Serialized Fields

#### cache

    boolean cache

may we cache parsed data?..

#### columnLength

    int[] columnLength

the numberofColumns.

#### columnNames

    String[] columnNames

the names of the columns.

#### dbfFile

    URL dbfFile

the FBFFile.

#### headerLength

    int headerLength

the headerLength.

#### numColumns

    int numColumns

the number of columns.

#### numRecords

    int numRecords

the number of records.

#### recordLength

    int recordLength

the length of the records.

### Class nl.tudelft.simulation.dsol.animation.gis.io.esri.ShapeFile extends Object implements Serializable

serialVersionUID:
  20201223L

### Serialized Fields

#### cache

    boolean cache

may we cache parsed data?

#### cachedContent

    ArrayList<GisObject> cachedContent

the cachedContent.

#### coordinateTransform

    CoordinateTransform coordinateTransform

an optional transformation of the lat/lon (or other) coordinates.

#### currentType

    int currentType

the type of shape we are working on.

#### dbfFile

    URL dbfFile

the URL for the dbase-III format file with texts to be read.

#### dbfReader

    DbfReader dbfReader

our DBF reader.

#### numShapes

    int numShapes

the number of shapes we have read until now.

#### shpFile

    URL shpFile

the URL for the shape file to be read.

#### shxFile

    URL shxFile

the URL for the shape index file to be read.

## Package nl.tudelft.simulation.dsol.animation.gis.map

### Class nl.tudelft.simulation.dsol.animation.gis.map.GisMap extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### allLayers

    List<LayerInterface> allLayers

the total list of layers of the map.

#### drawBackground

    boolean drawBackground

draw the background?

#### extent

    Bounds2d extent

the extent of the map.

#### image

    MapImageInterface image

the mapfileImage.

#### layerMap

    Map<String,​LayerInterface> layerMap

the map of layer names to layers.

#### name

    String name

the name of the mapFile.

#### same

    boolean same

same set to false after layer change.

#### units

    MapUnits units

the map units.

#### visibleLayers

    List<LayerInterface> visibleLayers

the visible layers of the map.

### Class nl.tudelft.simulation.dsol.animation.gis.map.Layer extends Object implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### dataSource

    DataSourceInterface dataSource

the dataSource to use.

#### display

    boolean display

whether to display the layer.

#### fillColor

    Color fillColor

the fillColor of the layer.

#### maxScale

    int maxScale

the maxScale.

#### minScale

    int minScale

the minScale.

#### name

    String name

the name of the layer.

#### outlineColor

    Color outlineColor

the outlineColor.

#### transform

    boolean transform

whether to transform the layer.

### Class nl.tudelft.simulation.dsol.animation.gis.map.MapImage extends Object implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### backgroundColor

    Color backgroundColor

background color.

#### size

    Dimension size

image size.